# SourcePath: pump/20051207rel
Summary	: A Bootp and DHCP client for automatic IP configuration.
Name	: sony-target-rel-pump-autoip
%define pkgname %{sony_target_config}-rel-pump-autoip
Version	: 0.8.15
%define release_date 20051201
Release	: 6 
License	: GPL
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Source: pump-autoip-%{version}-%{release_date}.tar.gz
Patch: pump-autoip_sslibc.patch

Buildroot: %{_tmppath}/%{name}-root
Prefix: %{sony_cross_target_dir}

BuildRequires: %{sony_target_config}-rel-rpm


%description
Pump is a combined BOOTP and DHCP client daemon, which allows your
machine to retrieve configuration information from a server.

%package -n %{pkgname}
Summary: A Bootp and DHCP client for automatic IP configuration.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
Pump is a combined BOOTP and DHCP client daemon, which allows your
machine to retrieve configuration information from a server.

%define _sbindir        %{sony_cross_target_dir}%{sony_target_rel_sbin_dir}
%define _bindir         %{sony_cross_target_dir}%{sony_target_rel_bin_dir}
%define _incdir         %{sony_cross_target_dir}%{sony_target_rel_include_dir}
%define _libdir         %{sony_cross_target_dir}%{sony_target_rel_lib_dir}
%define _mandir         %{sony_cross_target_dir}%{sony_target_rel_man_dir}
%define _infodir        %{sony_cross_target_dir}%{sony_target_rel_info_dir}
%define _datadir        %{sony_cross_target_dir}%{sony_target_rel_sharedstate_dir}
%define _docdir         %{sony_cross_target_dir}%{sony_target_rel_doc_dir}
%define _rsbindir       %{sony_cross_target_dir}/sbin

%prep
%setup -n pump-autoip-%{version} -q
%patch -p1

%build

%sony_target_rel_setup

export DIR_BIN="%{_bindir}"
export DIR_LIB="%{_libdir}"
export DIR_INC="%{_incdir}"
export DIR_MAN="%{_mandir}"

# Don't just make.  pump normally builds netconfig, which
# requires newt, which we don't have.
make pump LOADLIBES="%{sony_cross_target_dir}%{sony_target_rel_lib_dir}/libpopt.a " \
 	RPM_OPT_FLAGS="-I%{sony_cross_target_dir}%{sony_target_rel_include_dir}" CROSS=%{sony_target_cpu_longname}-sony-linux-

%install
rm -rf %{buildroot}
%sony_target_rel_makeinstall 

export sbindir="%{_rsbindir}"
export libdir="%{_libdir}"
export includedir="%{_incdir}"
export mandir="%{_mandir}"


chmod 755 pump
chmod 644 pump.8
chmod 644 libpump.a
chmod 644 pump.h

mkdir -p %{buildroot}%{_rsbindir}
cp pump %{buildroot}%{_rsbindir}/
# cp netconfig %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_libdir}
cp libpump.a %{buildroot}%{_libdir}/
mkdir -p %{buildroot}%{_incdir}
cp pump.h %{buildroot}%{_incdir}/

mkdir -p %{buildroot}%{sony_cross_target_dir}%{sony_target_rel_localstate_dir}/dhcpd

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_cross_target_dir}/sbin/pump
%{sony_cross_target_dir}%{sony_target_rel_localstate_dir}/dhcpd
%{sony_cross_target_dir}%{sony_target_rel_include_dir}/pump.h
%{sony_cross_target_dir}%{sony_target_rel_lib_dir}/libpump.a

%changelog
* Wed Dec 07 2005 Sony Corporation
- update to recent revision

* Tue Jun 14 2005 Sony Corporation
- update to recent revision

* Tue Apr 12 2005 Sony Corporation
- update to recent version and change package name 

* Tue Mar 8 2005 Sony Corporation
- build with sslibc for ARM

* Fri Jan 28 2005 Sony Corporation
- build with sslibc for PPC/build with glibc for ARM

* Tue Jan 18 2005 Sony Corporation
- build with sslibc

* Thu Jan 13 2005 Sony Corporation
- modify for (powerpc & arm)

* Thu Nov  11 2004 Sony Corporation - rel-pump
- modify LOADLIBES & RPM_OPT_FLAGS path

* Thu Oct  21 2004 Sony Corporation - rel-pump
- Initial build.
